Subject: RE: [External] : Re: bug#16333: 24.3.50; Info manuals: link defined terms to their glossary entries

From: Drew Adams <[email-masked]>
Date: Mon, 11 Oct 2021 15:24:04 +0000

> >> > Actually, I've done this now.  I added it to info+.el.
> >> > (It could of course be added to vanilla Emacs also.)
> >>
> >> Could you prepare a patch?
> >
> > I won't prepare a patch till you've tried the
> > enhancement and decided that you want it.
> >
> > Been bit too many times by wasting time preparing
> > patches that don't get applied because the feature
> > isn't wanted.  If you want this I can provide it,
> > but decide first that you want it, please.
> >
> > And I'd really prefer to include other fontifying
> > Info+ allows, fontifying options and commands, and
> > the `Toggle/Cycle' submenu of Info for them.
> >
> > It's simple to take a look: load info+.el in
> > `emacs -Q' and move around.  For most fontifying
> > enhancements, try a manual such as Elisp, which
> > has lots of Lisp artifacts (backquoted sexps, etc.).
> 
> That's fair enough.  So I've tested this, and I find that this
> fontification is too noisy and distracting: it highlights every
> occasion of "command", "customization", "variable", "Lisp" etc.

Your personal opinion of "too noisy and distracting"
should be irrelevant, not a reason to deprive users
of a choice.
___

And no, it certainly does NOT highlight every
occurrence.  It _never_ does that.

And what it highlights (including nothing, ever)
is completely up to a user.  Emacs could of course
choose a different _default_ behavior from what
I've chosen for Info+.  E.g., by default it could
simply be off (hindering discovery).

Option `Info-fontify-glossary-words'=nil does NO
indication of glossary words.  Non-nil provides
various sorts of behavior, depending on the value.

And there are commands to cycle among the various
possibilities or toggle between OFF and the last
ON behavior.

When ON, regardless of the chosen behavior, only
the _first_ occurrence of a glossary word in a
node is indicated.  It's never the case that all,
or any more than the first, are linked/indicated.

The _default_ behavior that I chose was this one:
a glossary link is fontified and mouseover shows
the definition in a tooltip - but only until that
term has been visited in the Glossary.

You can instead choose to show the link but not
the tooltip definition.  And you can choose
either of those behaviors always, instead of only
till the term has been visited in the Glossary.

When a link is no longer fontified it still exists,
so it's still shown on mouseover with `mouse-face'.
___

Other behaviors could be added.  E.g., a choice
could be added for never fontifying the links and
just showing the with `mouse-face' (on mouseover).

I haven't done that, as I think that if someone
finds the (once-only) fontification annoying then
they just won't turn it on in the first place.